/* ###*B*###
 * ERIKA Enterprise - a tiny RTOS for small microcontrollers
 *
 * Copyright (C) 2002-2013  Evidence Srl
 *
 * This file is part of ERIKA Enterprise.
 *
 * ERIKA Enterprise is free software; you can redistribute it
 * and/or modify it under the terms of the GNU General Public License
 * version 2 as published by the Free Software Foundation,
 * (with a special exception described below).
 *
 * Linking this code statically or dynamically with other modules is
 * making a combined work based on this code.  Thus, the terms and
 * conditions of the GNU General Public License cover the whole
 * combination.
 *
 * As a special exception, the copyright holders of this library give you
 * permission to link this code with independent modules to produce an
 * executable, regardless of the license terms of these independent
 * modules, and to copy and distribute the resulting executable under
 * terms of your choice, provided that you also meet, for each linked
 * independent module, the terms and conditions of the license of that
 * module.  An independent module is a module which is not derived from
 * or based on this library.  If you modify this code, you may extend
 * this exception to your version of the code, but you are not
 * obligated to do so.  If you do not wish to do so, delete this
 * exception statement from your version.
 *
 * ERIKA Enterprise is distributed in the hope that it will be
 * useful, but WITHOUT ANY WARRANTY; without even the implied warranty
 * of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License version 2 for more details.
 *
 * You should have received a copy of the GNU General Public License
 * version 2 along with ERIKA Enterprise; if not, write to the
 * Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA 02110-1301 USA.
 * ###*E*### */

/*
 * Atmel ATXMEGA MCUs Interrupts vector.
 *
 * Author: 2013,  Giuseppe Serano
 */

/* I need ISR2 Stub */
#include "cpu/avr8/inc/ee_avr8_irqstub.h"

/* Erika Interrupt Vector Definition */

/* OSC interrupt vectors */
#if defined(EE_AVR8_OSC_XOSCF_ISR) && (EE_AVR8_OSC_XOSCF_ISR_CAT == 2)
EE_AVR8_ISR2_DEFINITION(OSC_XOSCF_vect, EE_AVR8_OSC_XOSCF_ISR)
#elif defined(EE_AVR8_OSC_XOSCF_ISR) && (EE_AVR8_OSC_XOSCF_ISR_CAT == 1)
EE_AVR8_ISR1_DEFINITION(OSC_XOSCF_vect, EE_AVR8_OSC_XOSCF_ISR)
/* #elif defined(__MCU_EXTENDED_STATUS__) */
#else
EE_AVR8_ISR_NOT_DEFINED(OSC_XOSCF_vect)
#endif /* EE_AVR8_OSC_XOSCF_ISR */

/* PORTC interrupt vectors */
#if defined(EE_AVR8_PORTC_INT0_ISR) && (EE_AVR8_PORTC_INT0_ISR_CAT == 2)
EE_AVR8_ISR2_DEFINITION(PORTC_INT0_vect, EE_AVR8_PORTC_INT0_ISR)
#elif defined(EE_AVR8_PORTC_INT0_ISR) && (EE_AVR8_PORTC_INT0_ISR_CAT == 1)
EE_AVR8_ISR1_DEFINITION(PORTC_INT0_vect, EE_AVR8_PORTC_INT0_ISR)
#elif defined(__MCU_EXTENDED_STATUS__)
EE_AVR8_ISR_NOT_DEFINED(PORTC_INT0_vect)
#endif /* EE_AVR8_PORTC_INT0_ISR */
#if defined(EE_AVR8_PORTC_INT1_ISR) && (EE_AVR8_PORTC_INT1_ISR_CAT == 2)
EE_AVR8_ISR2_DEFINITION(PORTC_INT1_vect, EE_AVR8_PORTC_INT1_ISR)
#elif defined(EE_AVR8_PORTC_INT1_ISR) && (EE_AVR8_PORTC_INT1_ISR_CAT == 1)
EE_AVR8_ISR1_DEFINITION(PORTC_INT1_vect, EE_AVR8_PORTC_INT1_ISR)
#elif defined(__MCU_EXTENDED_STATUS__)
EE_AVR8_ISR_NOT_DEFINED(PORTC_INT1_vect)
#endif /* EE_AVR8_PORTC_INT1_ISR */

/* PORTR interrupt vectors */
#if defined(EE_AVR8_PORTR_INT0_ISR) && (EE_AVR8_PORTR_INT0_ISR_CAT == 2)
EE_AVR8_ISR2_DEFINITION(PORTR_INT0_vect, EE_AVR8_PORTR_INT0_ISR)
#elif defined(EE_AVR8_PORTR_INT0_ISR) && (EE_AVR8_PORTR_INT0_ISR_CAT == 1)
EE_AVR8_ISR1_DEFINITION(PORTR_INT0_vect, EE_AVR8_PORTR_INT0_ISR)
#elif defined(__MCU_EXTENDED_STATUS__)
EE_AVR8_ISR_NOT_DEFINED(PORTR_INT0_vect)
#endif /* EE_AVR8_PORTR_INT0_ISR */
#if defined(EE_AVR8_PORTR_INT1_ISR) && (EE_AVR8_PORTR_INT1_ISR_CAT == 2)
EE_AVR8_ISR2_DEFINITION(PORTR_INT1_vect, EE_AVR8_PORTR_INT1_ISR)
#elif defined(EE_AVR8_PORTR_INT1_ISR) && (EE_AVR8_PORTR_INT1_ISR_CAT == 1)
EE_AVR8_ISR1_DEFINITION(PORTR_INT1_vect, EE_AVR8_PORTR_INT1_ISR)
#elif defined(__MCU_EXTENDED_STATUS__)
EE_AVR8_ISR_NOT_DEFINED(PORTR_INT1_vect)
#endif /* EE_AVR8_PORTR_INT1_ISR */

#if	( defined(__AVR_ATxmega16D4__) || defined(__AVR_ATxmega32D4__) )

#ifdef	__MCU_EXTENDED_STATUS__
EE_AVR8_ISR_NOT_DEFINED(_VECTOR(6))
EE_AVR8_ISR_NOT_DEFINED(_VECTOR(7))
EE_AVR8_ISR_NOT_DEFINED(_VECTOR(8))
EE_AVR8_ISR_NOT_DEFINED(_VECTOR(9))
#endif

#else	/* __AVR_ATxmega16D4__ || __AVR_ATxmega32D4__ */

/* DMA interrupt vectors */
#if defined(EE_AVR8_DMA_CH0_ISR) && (EE_AVR8_DMA_CH0_ISR_CAT == 2)
EE_AVR8_ISR2_DEFINITION(DMA_CH0_vect, EE_AVR8_DMA_CH0_ISR)
#elif defined(EE_AVR8_DMA_CH0_ISR) && (EE_AVR8_DMA_CH0_ISR_CAT == 1)
EE_AVR8_ISR1_DEFINITION(DMA_CH0_vect, EE_AVR8_DMA_CH0_ISR)
#elif defined(__MCU_EXTENDED_STATUS__)
EE_AVR8_ISR_NOT_DEFINED(DMA_CH0_vect)
#endif /* EE_AVR8_DMA_CH0_ISR */
#if defined(EE_AVR8_DMA_CH1_ISR) && (EE_AVR8_DMA_CH1_ISR_CAT == 2)
EE_AVR8_ISR2_DEFINITION(DMA_CH1_vect, EE_AVR8_DMA_CH1_ISR)
#elif defined(EE_AVR8_DMA_CH1_ISR) && (EE_AVR8_DMA_CH1_ISR_CAT == 1)
EE_AVR8_ISR1_DEFINITION(DMA_CH1_vect, EE_AVR8_DMA_CH1_ISR)
#elif defined(__MCU_EXTENDED_STATUS__)
EE_AVR8_ISR_NOT_DEFINED(DMA_CH1_vect)
#endif /* EE_AVR8_DMA_CH1_ISR */
#if defined(EE_AVR8_DMA_CH2_ISR) && (EE_AVR8_DMA_CH2_ISR_CAT == 2)
EE_AVR8_ISR2_DEFINITION(DMA_CH2_vect, EE_AVR8_DMA_CH2_ISR)
#elif defined(EE_AVR8_DMA_CH2_ISR) && (EE_AVR8_DMA_CH2_ISR_CAT == 1)
EE_AVR8_ISR1_DEFINITION(DMA_CH2_vect, EE_AVR8_DMA_CH2_ISR)
#elif defined(__MCU_EXTENDED_STATUS__)
EE_AVR8_ISR_NOT_DEFINED(DMA_CH2_vect)
#endif /* EE_AVR8_DMA_CH2_ISR */
#if defined(EE_AVR8_DMA_CH3_ISR) && (EE_AVR8_DMA_CH3_ISR_CAT == 2)
EE_AVR8_ISR2_DEFINITION(DMA_CH3_vect, EE_AVR8_DMA_CH3_ISR)
#elif defined(EE_AVR8_DMA_CH3_ISR) && (EE_AVR8_DMA_CH3_ISR_CAT == 1)
EE_AVR8_ISR1_DEFINITION(DMA_CH3_vect, EE_AVR8_DMA_CH3_ISR)
#elif defined(__MCU_EXTENDED_STATUS__)
EE_AVR8_ISR_NOT_DEFINED(DMA_CH3_vect)
#endif /* EE_AVR8_DMA_CH3_ISR */

#endif	/* __AVR_ATxmega16D4__ || __AVR_ATxmega32D4__ */

/* RTC interrupt vectors */
#if defined(EE_AVR8_RTC_OVF_ISR) && (EE_AVR8_RTC_OVF_ISR_CAT == 2)
EE_AVR8_ISR2_DEFINITION(RTC_OVF_vect, EE_AVR8_RTC_OVF_ISR)
#elif defined(EE_AVR8_RTC_OVF_ISR) && (EE_AVR8_RTC_OVF_ISR_CAT == 1)
EE_AVR8_ISR1_DEFINITION(RTC_OVF_vect, EE_AVR8_RTC_OVF_ISR)
#elif defined(__MCU_EXTENDED_STATUS__)
EE_AVR8_ISR_NOT_DEFINED(RTC_OVF_vect)
#endif /* EE_AVR8_RTC_OVF_ISR */
#if defined(EE_AVR8_RTC_COMP_ISR) && (EE_AVR8_RTC_COMP_ISR_CAT == 2)
EE_AVR8_ISR2_DEFINITION(RTC_COMP_vect, EE_AVR8_RTC_COMP_ISR)
#elif defined(EE_AVR8_RTC_COMP_ISR) && (EE_AVR8_RTC_COMP_ISR_CAT == 1)
EE_AVR8_ISR1_DEFINITION(RTC_COMP_vect, EE_AVR8_RTC_COMP_ISR)
#elif defined(__MCU_EXTENDED_STATUS__)
EE_AVR8_ISR_NOT_DEFINED(RTC_COMP_vect)
#endif /* EE_AVR8_RTC_COMP_ISR */

/* TWIC interrupt vectors */
#if defined(EE_AVR8_TWIC_TWIS_ISR) && (EE_AVR8_TWIC_TWIS_ISR_CAT == 2)
EE_AVR8_ISR2_DEFINITION(TWIC_TWIS_vect, EE_AVR8_TWIC_TWIS_ISR)
#elif defined(EE_AVR8_TWIC_TWIS_ISR) && (EE_AVR8_TWIC_TWIS_ISR_CAT == 1)
EE_AVR8_ISR1_DEFINITION(TWIC_TWIS_vect, EE_AVR8_TWIC_TWIS_ISR)
#elif defined(__MCU_EXTENDED_STATUS__)
EE_AVR8_ISR_NOT_DEFINED(TWIC_TWIS_vect)
#endif /* EE_AVR8_TWIC_TWIS_ISR */
#if defined(EE_AVR8_TWIC_TWIM_ISR) && (EE_AVR8_TWIC_TWIM_ISR_CAT == 2)
EE_AVR8_ISR2_DEFINITION(TWIC_TWIM_vect, EE_AVR8_TWIC_TWIM_ISR)
#elif defined(EE_AVR8_TWIC_TWIM_ISR) && (EE_AVR8_TWIC_TWIM_ISR_CAT == 1)
EE_AVR8_ISR1_DEFINITION(TWIC_TWIM_vect, EE_AVR8_TWIC_TWIM_ISR)
#elif defined(__MCU_EXTENDED_STATUS__)
EE_AVR8_ISR_NOT_DEFINED(TWIC_TWIM_vect)
#endif /* EE_AVR8_TWIC_TWIM_ISR */

/* TCC0 interrupt vectors */
#if defined(EE_AVR8_TCC0_OVF_ISR) && (EE_AVR8_TCC0_OVF_ISR_CAT == 2)
EE_AVR8_ISR2_DEFINITION(TCC0_OVF_vect, EE_AVR8_TCC0_OVF_ISR)
#elif defined(EE_AVR8_TCC0_OVF_ISR) && (EE_AVR8_TCC0_OVF_ISR_CAT == 1)
EE_AVR8_ISR1_DEFINITION(TCC0_OVF_vect, EE_AVR8_TCC0_OVF_ISR)
#elif defined(__MCU_EXTENDED_STATUS__)
EE_AVR8_ISR_NOT_DEFINED(TCC0_OVF_vect)
#endif /* EE_AVR8_TCC0_OVF_ISR */
#if defined(EE_AVR8_TCC0_ERR_ISR) && (EE_AVR8_TCC0_ERR_ISR_CAT == 2)
EE_AVR8_ISR2_DEFINITION(TCC0_ERR_vect, EE_AVR8_TCC0_ERR_ISR)
#elif defined(EE_AVR8_TCC0_ERR_ISR) && (EE_AVR8_TCC0_ERR_ISR_CAT == 1)
EE_AVR8_ISR1_DEFINITION(TCC0_ERR_vect, EE_AVR8_TCC0_ERR_ISR)
#elif defined(__MCU_EXTENDED_STATUS__)
EE_AVR8_ISR_NOT_DEFINED(TCC0_ERR_vect)
#endif /* EE_AVR8_TCC0_ERR_ISR */
#if defined(EE_AVR8_TCC0_CCA_ISR) && (EE_AVR8_TCC0_CCA_ISR_CAT == 2)
EE_AVR8_ISR2_DEFINITION(TCC0_CCA_vect, EE_AVR8_TCC0_CCA_ISR)
#elif defined(EE_AVR8_TCC0_CCA_ISR) && (EE_AVR8_TCC0_CCA_ISR_CAT == 1)
EE_AVR8_ISR1_DEFINITION(TCC0_CCA_vect, EE_AVR8_TCC0_CCA_ISR)
#elif defined(__MCU_EXTENDED_STATUS__)
EE_AVR8_ISR_NOT_DEFINED(TCC0_CCA_vect)
#endif /* EE_AVR8_TCC0_CCA_ISR */
#if defined(EE_AVR8_TCC0_CCB_ISR) && (EE_AVR8_TCC0_CCB_ISR_CAT == 2)
EE_AVR8_ISR2_DEFINITION(TCC0_CCB_vect, EE_AVR8_TCC0_CCB_ISR)
#elif defined(EE_AVR8_TCC0_CCB_ISR) && (EE_AVR8_TCC0_CCB_ISR_CAT == 1)
EE_AVR8_ISR1_DEFINITION(TCC0_CCB_vect, EE_AVR8_TCC0_CCB_ISR)
#elif defined(__MCU_EXTENDED_STATUS__)
EE_AVR8_ISR_NOT_DEFINED(TCC0_CCB_vect)
#endif /* EE_AVR8_TCC0_CCB_ISR */
#if defined(EE_AVR8_TCC0_CCC_ISR) && (EE_AVR8_TCC0_CCC_ISR_CAT == 2)
EE_AVR8_ISR2_DEFINITION(TCC0_CCC_vect, EE_AVR8_TCC0_CCC_ISR)
#elif defined(EE_AVR8_TCC0_CCC_ISR) && (EE_AVR8_TCC0_CCC_ISR_CAT == 1)
EE_AVR8_ISR1_DEFINITION(TCC0_CCC_vect, EE_AVR8_TCC0_CCC_ISR)
#elif defined(__MCU_EXTENDED_STATUS__)
EE_AVR8_ISR_NOT_DEFINED(TCC0_CCC_vect)
#endif /* EE_AVR8_TCC0_CCC_ISR */
#if defined(EE_AVR8_TCC0_CCD_ISR) && (EE_AVR8_TCC0_CCD_ISR_CAT == 2)
EE_AVR8_ISR2_DEFINITION(TCC0_CCD_vect, EE_AVR8_TCC0_CCD_ISR)
#elif defined(EE_AVR8_TCC0_CCD_ISR) && (EE_AVR8_TCC0_CCD_ISR_CAT == 1)
EE_AVR8_ISR1_DEFINITION(TCC0_CCD_vect, EE_AVR8_TCC0_CCD_ISR)
#elif defined(__MCU_EXTENDED_STATUS__)
EE_AVR8_ISR_NOT_DEFINED(TCC0_CCD_vect)
#endif /* EE_AVR8_TCC0_CCD_ISR */

/* TCC1 interrupt vectors */
#if defined(EE_AVR8_TCC1_OVF_ISR) && (EE_AVR8_TCC1_OVF_ISR_CAT == 2)
EE_AVR8_ISR2_DEFINITION(TCC1_OVF_vect, EE_AVR8_TCC1_OVF_ISR)
#elif defined(EE_AVR8_TCC1_OVF_ISR) && (EE_AVR8_TCC1_OVF_ISR_CAT == 1)
EE_AVR8_ISR1_DEFINITION(TCC1_OVF_vect, EE_AVR8_TCC1_OVF_ISR)
#elif defined(__MCU_EXTENDED_STATUS__)
EE_AVR8_ISR_NOT_DEFINED(TCC1_OVF_vect)
#endif /* EE_AVR8_TCC1_OVF_ISR */
#if defined(EE_AVR8_TCC1_ERR_ISR) && (EE_AVR8_TCC1_ERR_ISR_CAT == 2)
EE_AVR8_ISR2_DEFINITION(TCC1_ERR_vect, EE_AVR8_TCC1_ERR_ISR)
#elif defined(EE_AVR8_TCC1_ERR_ISR) && (EE_AVR8_TCC1_ERR_ISR_CAT == 1)
EE_AVR8_ISR1_DEFINITION(TCC1_ERR_vect, EE_AVR8_TCC1_ERR_ISR)
#elif defined(__MCU_EXTENDED_STATUS__)
EE_AVR8_ISR_NOT_DEFINED(TCC1_ERR_vect)
#endif /* EE_AVR8_TCC1_ERR_ISR */
#if defined(EE_AVR8_TCC1_CCA_ISR) && (EE_AVR8_TCC1_CCA_ISR_CAT == 2)
EE_AVR8_ISR2_DEFINITION(TCC1_CCA_vect, EE_AVR8_TCC1_CCA_ISR)
#elif defined(EE_AVR8_TCC1_CCA_ISR) && (EE_AVR8_TCC1_CCA_ISR_CAT == 1)
EE_AVR8_ISR1_DEFINITION(TCC1_CCA_vect, EE_AVR8_TCC1_CCA_ISR)
#elif defined(__MCU_EXTENDED_STATUS__)
EE_AVR8_ISR_NOT_DEFINED(TCC1_CCA_vect)
#endif /* EE_AVR8_TCC1_CCA_ISR */
#if defined(EE_AVR8_TCC1_CCB_ISR) && (EE_AVR8_TCC1_CCB_ISR_CAT == 2)
EE_AVR8_ISR2_DEFINITION(TCC1_CCB_vect, EE_AVR8_TCC1_CCB_ISR)
#elif defined(EE_AVR8_TCC1_CCB_ISR) && (EE_AVR8_TCC1_CCB_ISR_CAT == 1)
EE_AVR8_ISR1_DEFINITION(TCC1_CCB_vect, EE_AVR8_TCC1_CCB_ISR)
#elif defined(__MCU_EXTENDED_STATUS__)
EE_AVR8_ISR_NOT_DEFINED(TCC1_CCB_vect)
#endif /* EE_AVR8_TCC1_CCB_ISR */

/* TCC2 interrupt vectors */
#if defined(EE_AVR8_TCC2_LUNF_ISR) && (EE_AVR8_TCC2_LUNF_ISR_CAT == 2)
EE_AVR8_ISR2_DEFINITION(TCC2_LUNF_vect, EE_AVR8_TCC2_LUNF_ISR)
#elif defined(EE_AVR8_TCC2_LUNF_ISR) && (EE_AVR8_TCC2_LUNF_ISR_CAT == 1)
EE_AVR8_ISR1_DEFINITION(TCC2_LUNF_vect, EE_AVR8_TCC2_LUNF_ISR)
#elif defined(__MCU_EXTENDED_STATUS__)
EE_AVR8_ISR_NOT_DEFINED(TCC2_LUNF_vect)
#endif /* EE_AVR8_TCC2_LUNF_ISR */
#if defined(EE_AVR8_TCC2_HUNF_ISR) && (EE_AVR8_TCC2_HUNF_ISR_CAT == 2)
EE_AVR8_ISR2_DEFINITION(TCC2_HUNF_vect, EE_AVR8_TCC2_HUNF_ISR)
#elif defined(EE_AVR8_TCC2_HUNF_ISR) && (EE_AVR8_TCC2_HUNF_ISR_CAT == 1)
EE_AVR8_ISR1_DEFINITION(TCC2_HUNF_vect, EE_AVR8_TCC2_HUNF_ISR)
#elif defined(__MCU_EXTENDED_STATUS__)
EE_AVR8_ISR_NOT_DEFINED(TCC2_HUNF_vect)
#endif /* EE_AVR8_TCC2_HUNF_ISR */
#if defined(EE_AVR8_TCC2_LCMPA_ISR) && (EE_AVR8_TCC2_LCMPA_ISR_CAT == 2)
EE_AVR8_ISR2_DEFINITION(TCC2_LCMPA_vect, EE_AVR8_TCC2_LCMPA_ISR)
#elif defined(EE_AVR8_TCC2_LCMPA_ISR) && (EE_AVR8_TCC2_LCMPA_ISR_CAT == 1)
EE_AVR8_ISR1_DEFINITION(TCC2_LCMPA_vect, EE_AVR8_TCC2_LCMPA_ISR)
#elif defined(__MCU_EXTENDED_STATUS__)
EE_AVR8_ISR_NOT_DEFINED(TCC2_LCMPA_vect)
#endif /* EE_AVR8_TCC2_LCMPA_ISR */
#if defined(EE_AVR8_TCC2_LCMPB_ISR) && (EE_AVR8_TCC2_LCMPB_ISR_CAT == 2)
EE_AVR8_ISR2_DEFINITION(TCC2_LCMPB_vect, EE_AVR8_TCC2_LCMPB_ISR)
#elif defined(EE_AVR8_TCC2_LCMPB_ISR) && (EE_AVR8_TCC2_LCMPB_ISR_CAT == 1)
EE_AVR8_ISR1_DEFINITION(TCC2_LCMPB_vect, EE_AVR8_TCC2_LCMPB_ISR)
#elif defined(__MCU_EXTENDED_STATUS__)
EE_AVR8_ISR_NOT_DEFINED(TCC2_LCMPB_vect)
#endif /* EE_AVR8_TCC2_LCMPB_ISR */
#if defined(EE_AVR8_TCC2_LCMPC_ISR) && (EE_AVR8_TCC2_LCMPC_ISR_CAT == 2)
EE_AVR8_ISR2_DEFINITION(TCC2_LCMPC_vect, EE_AVR8_TCC2_LCMPC_ISR)
#elif defined(EE_AVR8_TCC2_LCMPC_ISR) && (EE_AVR8_TCC2_LCMPC_ISR_CAT == 1)
EE_AVR8_ISR1_DEFINITION(TCC2_LCMPC_vect, EE_AVR8_TCC2_LCMPC_ISR)
#elif defined(__MCU_EXTENDED_STATUS__)
EE_AVR8_ISR_NOT_DEFINED(TCC2_LCMPC_vect)
#endif /* EE_AVR8_TCC2_LCMPC_ISR */
#if defined(EE_AVR8_TCC2_LCMPD_ISR) && (EE_AVR8_TCC2_LCMPD_ISR_CAT == 2)
EE_AVR8_ISR2_DEFINITION(TCC2_LCMPD_vect, EE_AVR8_TCC2_LCMPD_ISR)
#elif defined(EE_AVR8_TCC2_LCMPD_ISR) && (EE_AVR8_TCC2_LCMPD_ISR_CAT == 1)
EE_AVR8_ISR1_DEFINITION(TCC2_LCMPD_vect, EE_AVR8_TCC2_LCMPD_ISR)
#elif defined(__MCU_EXTENDED_STATUS__)
EE_AVR8_ISR_NOT_DEFINED(TCC2_LCMPD_vect)
#endif /* EE_AVR8_TCC2_LCMPD_ISR */

/* SPIC interrupt vectors */
#if defined(EE_AVR8_SPIC_INT_ISR) && (EE_AVR8_SPIC_INT_ISR_CAT == 2)
EE_AVR8_ISR2_DEFINITION(SPIC_INT_vect, EE_AVR8_SPIC_INT_ISR)
#elif defined(EE_AVR8_SPIC_INT_ISR) && (EE_AVR8_SPIC_INT_ISR_CAT == 1)
EE_AVR8_ISR1_DEFINITION(SPIC_INT_vect, EE_AVR8_SPIC_INT_ISR)
#elif defined(__MCU_EXTENDED_STATUS__)
EE_AVR8_ISR_NOT_DEFINED(SPIC_INT_vect)
#endif /* EE_AVR8_SPIC_INT_ISR */

/* USARTC0 interrupt vectors */
#if defined(EE_AVR8_USARTC0_RXC_ISR) && (EE_AVR8_USARTC0_RXC_ISR_CAT == 2)
EE_AVR8_ISR2_DEFINITION(USARTC0_RXC_vect, EE_AVR8_USARTC0_RXC_ISR)
#elif defined(EE_AVR8_USARTC0_RXC_ISR) && (EE_AVR8_USARTC0_RXC_ISR_CAT == 1)
EE_AVR8_ISR1_DEFINITION(USARTC0_RXC_vect, EE_AVR8_USARTC0_RXC_ISR)
#elif defined(__MCU_EXTENDED_STATUS__)
EE_AVR8_ISR_NOT_DEFINED(USARTC0_RXC_vect)
#endif /* EE_AVR8_USARTC0_RXC_ISR */
#if defined(EE_AVR8_USARTC0_DRE_ISR) && (EE_AVR8_USARTC0_DRE_ISR_CAT == 2)
EE_AVR8_ISR2_DEFINITION(USARTC0_DRE_vect, EE_AVR8_USARTC0_DRE_ISR)
#elif defined(EE_AVR8_USARTC0_DRE_ISR) && (EE_AVR8_USARTC0_DRE_ISR_CAT == 1)
EE_AVR8_ISR1_DEFINITION(USARTC0_DRE_vect, EE_AVR8_USARTC0_DRE_ISR)
#elif defined(__MCU_EXTENDED_STATUS__)
EE_AVR8_ISR_NOT_DEFINED(USARTC0_DRE_vect)
#endif /* EE_AVR8_USARTC0_DRE_ISR */
#if defined(EE_AVR8_USARTC0_TXC_ISR) && (EE_AVR8_USARTC0_TXC_ISR_CAT == 2)
EE_AVR8_ISR2_DEFINITION(USARTC0_TXC_vect, EE_AVR8_USARTC0_TXC_ISR)
#elif defined(EE_AVR8_USARTC0_TXC_ISR) && (EE_AVR8_USARTC0_TXC_ISR_CAT == 1)
EE_AVR8_ISR1_DEFINITION(USARTC0_TXC_vect, EE_AVR8_USARTC0_TXC_ISR)
#elif defined(__MCU_EXTENDED_STATUS__)
EE_AVR8_ISR_NOT_DEFINED(USARTC0_TXC_vect)
#endif /* EE_AVR8_USARTC0_TXC_ISR */

#if	( defined(__AVR_ATxmega16D4__) || defined(__AVR_ATxmega32D4__) )

#ifdef	__MCU_EXTENDED_STATUS__
EE_AVR8_ISR_NOT_DEFINED(_VECTOR(28))
EE_AVR8_ISR_NOT_DEFINED(_VECTOR(29))
EE_AVR8_ISR_NOT_DEFINED(_VECTOR(30))
EE_AVR8_ISR_NOT_DEFINED(_VECTOR(31))
#endif

#else	/* __AVR_ATxmega16D4__ || __AVR_ATxmega32D4__ */

/* USARTC1 interrupt vectors */
#if defined(EE_AVR8_USARTC1_RXC_ISR) && (EE_AVR8_USARTC1_RXC_ISR_CAT == 2)
EE_AVR8_ISR2_DEFINITION(USARTC1_RXC_vect, EE_AVR8_USARTC1_RXC_ISR)
#elif defined(EE_AVR8_USARTC1_RXC_ISR) && (EE_AVR8_USARTC1_RXC_ISR_CAT == 1)
EE_AVR8_ISR1_DEFINITION(USARTC1_RXC_vect, EE_AVR8_USARTC1_RXC_ISR)
#elif defined(__MCU_EXTENDED_STATUS__)
EE_AVR8_ISR_NOT_DEFINED(USARTC1_RXC_vect)
#endif /* EE_AVR8_USARTC1_RXC_ISR */
#if defined(EE_AVR8_USARTC1_DRE_ISR) && (EE_AVR8_USARTC1_DRE_ISR_CAT == 2)
EE_AVR8_ISR2_DEFINITION(USARTC1_DRE_vect, EE_AVR8_USARTC1_DRE_ISR)
#elif defined(EE_AVR8_USARTC1_DRE_ISR) && (EE_AVR8_USARTC1_DRE_ISR_CAT == 1)
EE_AVR8_ISR1_DEFINITION(USARTC1_DRE_vect, EE_AVR8_USARTC1_DRE_ISR)
#elif defined(__MCU_EXTENDED_STATUS__)
EE_AVR8_ISR_NOT_DEFINED(USARTC1_DRE_vect)
#endif /* EE_AVR8_USARTC1_DRE_ISR */
#if defined(EE_AVR8_USARTC1_TXC_ISR) && (EE_AVR8_USARTC1_TXC_ISR_CAT == 2)
EE_AVR8_ISR2_DEFINITION(USARTC1_TXC_vect, EE_AVR8_USARTC1_TXC_ISR)
#elif defined(EE_AVR8_USARTC1_TXC_ISR) && (EE_AVR8_USARTC1_TXC_ISR_CAT == 1)
EE_AVR8_ISR1_DEFINITION(USARTC1_TXC_vect, EE_AVR8_USARTC1_TXC_ISR)
#elif defined(__MCU_EXTENDED_STATUS__)
EE_AVR8_ISR_NOT_DEFINED(USARTC1_TXC_vect)
#endif /* EE_AVR8_USARTC1_TXC_ISR */

/* AES interrupt vectors */
#if defined(EE_AVR8_AES_INT_ISR) && (EE_AVR8_AES_INT_ISR_CAT == 2)
EE_AVR8_ISR2_DEFINITION(AES_INT_vect, EE_AVR8_AES_INT_ISR)
#elif defined(EE_AVR8_AES_INT_ISR) && (EE_AVR8_AES_INT_ISR_CAT == 1)
EE_AVR8_ISR1_DEFINITION(AES_INT_vect, EE_AVR8_AES_INT_ISR)
#elif defined(__MCU_EXTENDED_STATUS__)
EE_AVR8_ISR_NOT_DEFINED(AES_INT_vect)
#endif /* EE_AVR8_AES_INT_ISR */

#endif	/* __AVR_ATxmega16D4__ || __AVR_ATxmega32D4__ */

/* NVM interrupt vectors */
#if defined(EE_AVR8_NVM_EE_ISR) && (EE_AVR8_NVM_EE_ISR_CAT == 2)
EE_AVR8_ISR2_DEFINITION(NVM_EE_vect, EE_AVR8_NVM_EE_ISR)
#elif defined(EE_AVR8_NVM_EE_ISR) && (EE_AVR8_NVM_EE_ISR_CAT == 1)
EE_AVR8_ISR1_DEFINITION(NVM_EE_vect, EE_AVR8_NVM_EE_ISR)
#elif defined(__MCU_EXTENDED_STATUS__)
EE_AVR8_ISR_NOT_DEFINED(NVM_EE_vect)
#endif /* EE_AVR8_NVM_EE_ISR */
#if defined(EE_AVR8_NVM_SPM_ISR) && (EE_AVR8_NVM_SPM_ISR_CAT == 2)
EE_AVR8_ISR2_DEFINITION(NVM_SPM_vect, EE_AVR8_NVM_SPM_ISR)
#elif defined(EE_AVR8_NVM_SPM_ISR) && (EE_AVR8_NVM_SPM_ISR_CAT == 1)
EE_AVR8_ISR1_DEFINITION(NVM_SPM_vect, EE_AVR8_NVM_SPM_ISR)
#elif defined(__MCU_EXTENDED_STATUS__)
EE_AVR8_ISR_NOT_DEFINED(NVM_SPM_vect)
#endif /* EE_AVR8_NVM_SPM_ISR */

/* PORTB interrupt vectors */
#if defined(EE_AVR8_PORTB_INT0_ISR) && (EE_AVR8_PORTB_INT0_ISR_CAT == 2)
EE_AVR8_ISR2_DEFINITION(PORTB_INT0_vect, EE_AVR8_PORTB_INT0_ISR)
#elif defined(EE_AVR8_PORTB_INT0_ISR) && (EE_AVR8_PORTB_INT0_ISR_CAT == 1)
EE_AVR8_ISR1_DEFINITION(PORTB_INT0_vect, EE_AVR8_PORTB_INT0_ISR)
#elif defined(__MCU_EXTENDED_STATUS__)
EE_AVR8_ISR_NOT_DEFINED(PORTB_INT0_vect)
#endif /* EE_AVR8_PORTB_INT0_ISR */
#if defined(EE_AVR8_PORTB_INT1_ISR) && (EE_AVR8_PORTB_INT1_ISR_CAT == 2)
EE_AVR8_ISR2_DEFINITION(PORTB_INT1_vect, EE_AVR8_PORTB_INT1_ISR)
#elif defined(EE_AVR8_PORTB_INT1_ISR) && (EE_AVR8_PORTB_INT1_ISR_CAT == 1)
EE_AVR8_ISR1_DEFINITION(PORTB_INT1_vect, EE_AVR8_PORTB_INT1_ISR)
#elif defined(__MCU_EXTENDED_STATUS__)
EE_AVR8_ISR_NOT_DEFINED(PORTB_INT1_vect)
#endif /* EE_AVR8_PORTB_INT1_ISR */

#if	( defined(__AVR_ATxmega16D4__) || defined(__AVR_ATxmega32D4__) )

#ifdef	__MCU_EXTENDED_STATUS__
EE_AVR8_ISR_NOT_DEFINED(_VECTOR(36))
EE_AVR8_ISR_NOT_DEFINED(_VECTOR(37))
EE_AVR8_ISR_NOT_DEFINED(_VECTOR(38))
EE_AVR8_ISR_NOT_DEFINED(_VECTOR(39))
EE_AVR8_ISR_NOT_DEFINED(_VECTOR(40))
EE_AVR8_ISR_NOT_DEFINED(_VECTOR(41))
EE_AVR8_ISR_NOT_DEFINED(_VECTOR(42))
#endif

#endif	/* __AVR_ATxmega16D4__ || __AVR_ATxmega32D4__ */

/* PORTE interrupt vectors */
#if defined(EE_AVR8_PORTE_INT0_ISR) && (EE_AVR8_PORTE_INT0_ISR_CAT == 2)
EE_AVR8_ISR2_DEFINITION(PORTE_INT0_vect, EE_AVR8_PORTE_INT0_ISR)
#elif defined(EE_AVR8_PORTE_INT0_ISR) && (EE_AVR8_PORTE_INT0_ISR_CAT == 1)
EE_AVR8_ISR1_DEFINITION(PORTE_INT0_vect, EE_AVR8_PORTE_INT0_ISR)
#elif defined(__MCU_EXTENDED_STATUS__)
EE_AVR8_ISR_NOT_DEFINED(PORTE_INT0_vect)
#endif /* EE_AVR8_PORTE_INT0_ISR */
#if defined(EE_AVR8_PORTE_INT1_ISR) && (EE_AVR8_PORTE_INT1_ISR_CAT == 2)
EE_AVR8_ISR2_DEFINITION(PORTE_INT1_vect, EE_AVR8_PORTE_INT1_ISR)
#elif defined(EE_AVR8_PORTE_INT1_ISR) && (EE_AVR8_PORTE_INT1_ISR_CAT == 1)
EE_AVR8_ISR1_DEFINITION(PORTE_INT1_vect, EE_AVR8_PORTE_INT1_ISR)
#elif defined(__MCU_EXTENDED_STATUS__)
EE_AVR8_ISR_NOT_DEFINED(PORTE_INT1_vect)
#endif /* EE_AVR8_PORTE_INT1_ISR */

/* TWIE interrupt vectors */
#if defined(EE_AVR8_TWIE_TWIS_ISR) && (EE_AVR8_TWIE_TWIS_ISR_CAT == 2)
EE_AVR8_ISR2_DEFINITION(TWIE_TWIS_vect, EE_AVR8_TWIE_TWIS_ISR)
#elif defined(EE_AVR8_TWIE_TWIS_ISR) && (EE_AVR8_TWIE_TWIS_ISR_CAT == 1)
EE_AVR8_ISR1_DEFINITION(TWIE_TWIS_vect, EE_AVR8_TWIE_TWIS_ISR)
#elif defined(__MCU_EXTENDED_STATUS__)
EE_AVR8_ISR_NOT_DEFINED(TWIE_TWIS_vect)
#endif /* EE_AVR8_TWIE_TWIS_ISR */
#if defined(EE_AVR8_TWIE_TWIM_ISR) && (EE_AVR8_TWIE_TWIM_ISR_CAT == 2)
EE_AVR8_ISR2_DEFINITION(TWIE_TWIM_vect, EE_AVR8_TWIE_TWIM_ISR)
#elif defined(EE_AVR8_TWIE_TWIM_ISR) && (EE_AVR8_TWIE_TWIM_ISR_CAT == 1)
EE_AVR8_ISR1_DEFINITION(TWIE_TWIM_vect, EE_AVR8_TWIE_TWIM_ISR)
#elif defined(__MCU_EXTENDED_STATUS__)
EE_AVR8_ISR_NOT_DEFINED(TWIE_TWIM_vect)
#endif /* EE_AVR8_TWIE_TWIM_ISR */

/* TCE0 interrupt vectors */
#if defined(EE_AVR8_TCE0_OVF_ISR) && (EE_AVR8_TCE0_OVF_ISR_CAT == 2)
EE_AVR8_ISR2_DEFINITION(TCE0_OVF_vect, EE_AVR8_TCE0_OVF_ISR)
#elif defined(EE_AVR8_TCE0_OVF_ISR) && (EE_AVR8_TCE0_OVF_ISR_CAT == 1)
EE_AVR8_ISR1_DEFINITION(TCE0_OVF_vect, EE_AVR8_TCE0_OVF_ISR)
#elif defined(__MCU_EXTENDED_STATUS__)
EE_AVR8_ISR_NOT_DEFINED(TCE0_OVF_vect)
#endif /* EE_AVR8_TCE0_OVF_ISR */
#if defined(EE_AVR8_TCE0_ERR_ISR) && (EE_AVR8_TCE0_ERR_ISR_CAT == 2)
EE_AVR8_ISR2_DEFINITION(TCE0_ERR_vect, EE_AVR8_TCE0_ERR_ISR)
#elif defined(EE_AVR8_TCE0_ERR_ISR) && (EE_AVR8_TCE0_ERR_ISR_CAT == 1)
EE_AVR8_ISR1_DEFINITION(TCE0_ERR_vect, EE_AVR8_TCE0_ERR_ISR)
#elif defined(__MCU_EXTENDED_STATUS__)
EE_AVR8_ISR_NOT_DEFINED(TCE0_ERR_vect)
#endif /* EE_AVR8_TCE0_ERR_ISR */
#if defined(EE_AVR8_TCE0_CCA_ISR) && (EE_AVR8_TCE0_CCA_ISR_CAT == 2)
EE_AVR8_ISR2_DEFINITION(TCE0_CCA_vect, EE_AVR8_TCE0_CCA_ISR)
#elif defined(EE_AVR8_TCE0_CCA_ISR) && (EE_AVR8_TCE0_CCA_ISR_CAT == 1)
EE_AVR8_ISR1_DEFINITION(TCE0_CCA_vect, EE_AVR8_TCE0_CCA_ISR)
#elif defined(__MCU_EXTENDED_STATUS__)
EE_AVR8_ISR_NOT_DEFINED(TCE0_CCA_vect)
#endif /* EE_AVR8_TCE0_CCA_ISR */
#if defined(EE_AVR8_TCE0_CCB_ISR) && (EE_AVR8_TCE0_CCB_ISR_CAT == 2)
EE_AVR8_ISR2_DEFINITION(TCE0_CCB_vect, EE_AVR8_TCE0_CCB_ISR)
#elif defined(EE_AVR8_TCE0_CCB_ISR) && (EE_AVR8_TCE0_CCB_ISR_CAT == 1)
EE_AVR8_ISR1_DEFINITION(TCE0_CCB_vect, EE_AVR8_TCE0_CCB_ISR)
#elif defined(__MCU_EXTENDED_STATUS__)
EE_AVR8_ISR_NOT_DEFINED(TCE0_CCB_vect)
#endif /* EE_AVR8_TCE0_CCB_ISR */
#if defined(EE_AVR8_TCE0_CCC_ISR) && (EE_AVR8_TCE0_CCC_ISR_CAT == 2)
EE_AVR8_ISR2_DEFINITION(TCE0_CCC_vect, EE_AVR8_TCE0_CCC_ISR)
#elif defined(EE_AVR8_TCE0_CCC_ISR) && (EE_AVR8_TCE0_CCC_ISR_CAT == 1)
EE_AVR8_ISR1_DEFINITION(TCE0_CCC_vect, EE_AVR8_TCE0_CCC_ISR)
#elif defined(__MCU_EXTENDED_STATUS__)
EE_AVR8_ISR_NOT_DEFINED(TCE0_CCC_vect)
#endif /* EE_AVR8_TCE0_CCC_ISR */
#if defined(EE_AVR8_TCE0_CCD_ISR) && (EE_AVR8_TCE0_CCD_ISR_CAT == 2)
EE_AVR8_ISR2_DEFINITION(TCE0_CCD_vect, EE_AVR8_TCE0_CCD_ISR)
#elif defined(EE_AVR8_TCE0_CCD_ISR) && (EE_AVR8_TCE0_CCD_ISR_CAT == 1)
EE_AVR8_ISR1_DEFINITION(TCE0_CCD_vect, EE_AVR8_TCE0_CCD_ISR)
#elif defined(__MCU_EXTENDED_STATUS__)
EE_AVR8_ISR_NOT_DEFINED(TCE0_CCD_vect)
#endif /* EE_AVR8_TCE0_CCD_ISR */

#if	( defined(__AVR_ATxmega16D4__) || defined(__AVR_ATxmega32D4__) )

#ifdef	__MCU_EXTENDED_STATUS__
EE_AVR8_ISR_NOT_DEFINED(_VECTOR(53))
EE_AVR8_ISR_NOT_DEFINED(_VECTOR(54))
EE_AVR8_ISR_NOT_DEFINED(_VECTOR(55))
EE_AVR8_ISR_NOT_DEFINED(_VECTOR(56))
EE_AVR8_ISR_NOT_DEFINED(_VECTOR(57))
EE_AVR8_ISR_NOT_DEFINED(_VECTOR(58))
EE_AVR8_ISR_NOT_DEFINED(_VECTOR(59))
EE_AVR8_ISR_NOT_DEFINED(_VECTOR(60))
EE_AVR8_ISR_NOT_DEFINED(_VECTOR(61))
EE_AVR8_ISR_NOT_DEFINED(_VECTOR(62))
EE_AVR8_ISR_NOT_DEFINED(_VECTOR(63))
#endif

#else	/* __AVR_ATxmega16D4__ || __AVR_ATxmega32D4__ */

/* TCE1 interrupt vectors */
#if defined(EE_AVR8_TCE1_OVF_ISR) && (EE_AVR8_TCE1_OVF_ISR_CAT == 2)
EE_AVR8_ISR2_DEFINITION(TCE1_OVF_vect, EE_AVR8_TCE1_OVF_ISR)
#elif defined(EE_AVR8_TCE1_OVF_ISR) && (EE_AVR8_TCE1_OVF_ISR_CAT == 1)
EE_AVR8_ISR1_DEFINITION(TCE1_OVF_vect, EE_AVR8_TCE1_OVF_ISR)
#elif defined(__MCU_EXTENDED_STATUS__)
EE_AVR8_ISR_NOT_DEFINED(TCE1_OVF_vect)
#endif /* EE_AVR8_TCE1_OVF_ISR */
#if defined(EE_AVR8_TCE1_ERR_ISR) && (EE_AVR8_TCE1_ERR_ISR_CAT == 2)
EE_AVR8_ISR2_DEFINITION(TCE1_ERR_vect, EE_AVR8_TCE1_ERR_ISR)
#elif defined(EE_AVR8_TCE1_ERR_ISR) && (EE_AVR8_TCE1_ERR_ISR_CAT == 1)
EE_AVR8_ISR1_DEFINITION(TCE1_ERR_vect, EE_AVR8_TCE1_ERR_ISR)
#elif defined(__MCU_EXTENDED_STATUS__)
EE_AVR8_ISR_NOT_DEFINED(TCE1_ERR_vect)
#endif /* EE_AVR8_TCE1_ERR_ISR */
#if defined(EE_AVR8_TCE1_CCA_ISR) && (EE_AVR8_TCE1_CCA_ISR_CAT == 2)
EE_AVR8_ISR2_DEFINITION(TCE1_CCA_vect, EE_AVR8_TCE1_CCA_ISR)
#elif defined(EE_AVR8_TCE1_CCA_ISR) && (EE_AVR8_TCE1_CCA_ISR_CAT == 1)
EE_AVR8_ISR1_DEFINITION(TCE1_CCA_vect, EE_AVR8_TCE1_CCA_ISR)
#elif defined(__MCU_EXTENDED_STATUS__)
EE_AVR8_ISR_NOT_DEFINED(TCE1_CCA_vect)
#endif /* EE_AVR8_TCE1_CCA_ISR */
#if defined(EE_AVR8_TCE1_CCB_ISR) && (EE_AVR8_TCE1_CCB_ISR_CAT == 2)
EE_AVR8_ISR2_DEFINITION(TCE1_CCB_vect, EE_AVR8_TCE1_CCB_ISR)
#elif defined(EE_AVR8_TCE1_CCB_ISR) && (EE_AVR8_TCE1_CCB_ISR_CAT == 1)
EE_AVR8_ISR1_DEFINITION(TCE1_CCB_vect, EE_AVR8_TCE1_CCB_ISR)
#elif defined(__MCU_EXTENDED_STATUS__)
EE_AVR8_ISR_NOT_DEFINED(TCE1_CCB_vect)
#endif /* EE_AVR8_TCE1_CCB_ISR */

/* USARTE0 interrupt vectors */
#if defined(EE_AVR8_USARTE0_RXC_ISR) && (EE_AVR8_USARTE0_RXC_ISR_CAT == 2)
EE_AVR8_ISR2_DEFINITION(USARTE0_RXC_vect, EE_AVR8_USARTE0_RXC_ISR)
#elif defined(EE_AVR8_USARTE0_RXC_ISR) && (EE_AVR8_USARTE0_RXC_ISR_CAT == 1)
EE_AVR8_ISR1_DEFINITION(USARTE0_RXC_vect, EE_AVR8_USARTE0_RXC_ISR)
#elif defined(__MCU_EXTENDED_STATUS__)
EE_AVR8_ISR_NOT_DEFINED(USARTE0_RXC_vect)
#endif /* EE_AVR8_USARTE0_RXC_ISR */
#if defined(EE_AVR8_USARTE0_DRE_ISR) && (EE_AVR8_USARTE0_DRE_ISR_CAT == 2)
EE_AVR8_ISR2_DEFINITION(USARTE0_DRE_vect, EE_AVR8_USARTE0_DRE_ISR)
#elif defined(EE_AVR8_USARTE0_DRE_ISR) && (EE_AVR8_USARTE0_DRE_ISR_CAT == 1)
EE_AVR8_ISR1_DEFINITION(USARTE0_DRE_vect, EE_AVR8_USARTE0_DRE_ISR)
#elif defined(__MCU_EXTENDED_STATUS__)
EE_AVR8_ISR_NOT_DEFINED(USARTE0_DRE_vect)
#endif /* EE_AVR8_USARTE0_DRE_ISR */
#if defined(EE_AVR8_USARTE0_TXC_ISR) && (EE_AVR8_USARTE0_TXC_ISR_CAT == 2)
EE_AVR8_ISR2_DEFINITION(USARTE0_TXC_vect, EE_AVR8_USARTE0_TXC_ISR)
#elif defined(EE_AVR8_USARTE0_TXC_ISR) && (EE_AVR8_USARTE0_TXC_ISR_CAT == 1)
EE_AVR8_ISR1_DEFINITION(USARTE0_TXC_vect, EE_AVR8_USARTE0_TXC_ISR)
#elif defined(__MCU_EXTENDED_STATUS__)
EE_AVR8_ISR_NOT_DEFINED(USARTE0_TXC_vect)
#endif /* EE_AVR8_USARTE0_TXC_ISR */

#endif	/* __AVR_ATxmega16D4__ || __AVR_ATxmega32D4__ */

/* PORTD interrupt vectors */
#if defined(EE_AVR8_PORTD_INT0_ISR) && (EE_AVR8_PORTD_INT0_ISR_CAT == 2)
EE_AVR8_ISR2_DEFINITION(PORTD_INT0_vect, EE_AVR8_PORTD_INT0_ISR)
#elif defined(EE_AVR8_PORTD_INT0_ISR) && (EE_AVR8_PORTD_INT0_ISR_CAT == 1)
EE_AVR8_ISR1_DEFINITION(PORTD_INT0_vect, EE_AVR8_PORTD_INT0_ISR)
#elif defined(__MCU_EXTENDED_STATUS__)
EE_AVR8_ISR_NOT_DEFINED(PORTD_INT0_vect)
#endif /* EE_AVR8_PORTD_INT0_ISR */
#if defined(EE_AVR8_PORTD_INT1_ISR) && (EE_AVR8_PORTD_INT1_ISR_CAT == 2)
EE_AVR8_ISR2_DEFINITION(PORTD_INT1_vect, EE_AVR8_PORTD_INT1_ISR)
#elif defined(EE_AVR8_PORTD_INT1_ISR) && (EE_AVR8_PORTD_INT1_ISR_CAT == 1)
EE_AVR8_ISR1_DEFINITION(PORTD_INT1_vect, EE_AVR8_PORTD_INT1_ISR)
#elif defined(__MCU_EXTENDED_STATUS__)
EE_AVR8_ISR_NOT_DEFINED(PORTD_INT1_vect)
#endif /* EE_AVR8_PORTD_INT1_ISR */

/* PORTA interrupt vectors */
#if defined(EE_AVR8_PORTA_INT0_ISR) && (EE_AVR8_PORTA_INT0_ISR_CAT == 2)
EE_AVR8_ISR2_DEFINITION(PORTA_INT0_vect, EE_AVR8_PORTA_INT0_ISR)
#elif defined(EE_AVR8_PORTA_INT0_ISR) && (EE_AVR8_PORTA_INT0_ISR_CAT == 1)
EE_AVR8_ISR1_DEFINITION(PORTA_INT0_vect, EE_AVR8_PORTA_INT0_ISR)
#elif defined(__MCU_EXTENDED_STATUS__)
EE_AVR8_ISR_NOT_DEFINED(PORTA_INT0_vect)
#endif /* EE_AVR8_PORTA_INT0_ISR */
#if defined(EE_AVR8_PORTA_INT1_ISR) && (EE_AVR8_PORTA_INT1_ISR_CAT == 2)
EE_AVR8_ISR2_DEFINITION(PORTA_INT1_vect, EE_AVR8_PORTA_INT1_ISR)
#elif defined(EE_AVR8_PORTA_INT1_ISR) && (EE_AVR8_PORTA_INT1_ISR_CAT == 1)
EE_AVR8_ISR1_DEFINITION(PORTA_INT1_vect, EE_AVR8_PORTA_INT1_ISR)
#elif defined(__MCU_EXTENDED_STATUS__)
EE_AVR8_ISR_NOT_DEFINED(PORTA_INT1_vect)
#endif /* EE_AVR8_PORTA_INT1_ISR */

/* ACA interrupt vectors */
#if defined(EE_AVR8_ACA_AC0_ISR) && (EE_AVR8_ACA_AC0_ISR_CAT == 2)
EE_AVR8_ISR2_DEFINITION(ACA_AC0_vect, EE_AVR8_ACA_AC0_ISR)
#elif defined(EE_AVR8_ACA_AC0_ISR) && (EE_AVR8_ACA_AC0_ISR_CAT == 1)
EE_AVR8_ISR1_DEFINITION(ACA_AC0_vect, EE_AVR8_ACA_AC0_ISR)
#elif defined(__MCU_EXTENDED_STATUS__)
EE_AVR8_ISR_NOT_DEFINED(ACA_AC0_vect)
#endif /* EE_AVR8_ACA_AC0_ISR */
#if defined(EE_AVR8_ACA_AC1_ISR) && (EE_AVR8_ACA_AC1_ISR_CAT == 2)
EE_AVR8_ISR2_DEFINITION(ACA_AC1_vect, EE_AVR8_ACA_AC1_ISR)
#elif defined(EE_AVR8_ACA_AC1_ISR) && (EE_AVR8_ACA_AC1_ISR_CAT == 1)
EE_AVR8_ISR1_DEFINITION(ACA_AC1_vect, EE_AVR8_ACA_AC1_ISR)
#elif defined(__MCU_EXTENDED_STATUS__)
EE_AVR8_ISR_NOT_DEFINED(ACA_AC1_vect)
#endif /* EE_AVR8_ACA_AC1_ISR */
#if defined(EE_AVR8_ACA_ACW_ISR) && (EE_AVR8_ACA_ACW_ISR_CAT == 2)
EE_AVR8_ISR2_DEFINITION(ACA_ACW_vect, EE_AVR8_ACA_ACW_ISR)
#elif defined(EE_AVR8_ACA_ACW_ISR) && (EE_AVR8_ACA_ACW_ISR_CAT == 1)
EE_AVR8_ISR1_DEFINITION(ACA_ACW_vect, EE_AVR8_ACA_ACW_ISR)
#elif defined(__MCU_EXTENDED_STATUS__)
EE_AVR8_ISR_NOT_DEFINED(ACA_ACW_vect)
#endif /* EE_AVR8_ACA_ACW_ISR */

/* ADCA interrupt vectors */
#if defined(EE_AVR8_ADCA_CH0_ISR) && (EE_AVR8_ADCA_CH0_ISR_CAT == 2)
EE_AVR8_ISR2_DEFINITION(ADCA_CH0_vect, EE_AVR8_ADCA_CH0_ISR)
#elif defined(EE_AVR8_ADCA_CH0_ISR) && (EE_AVR8_ADCA_CH0_ISR_CAT == 1)
EE_AVR8_ISR1_DEFINITION(ADCA_CH0_vect, EE_AVR8_ADCA_CH0_ISR)
#elif defined(__MCU_EXTENDED_STATUS__)
EE_AVR8_ISR_NOT_DEFINED(ADCA_CH0_vect)
#endif /* EE_AVR8_ADCA_CH0_ISR */

#if	( defined(__AVR_ATxmega16D4__) || defined(__AVR_ATxmega32D4__) )

#ifdef	__MCU_EXTENDED_STATUS__
EE_AVR8_ISR_NOT_DEFINED(_VECTOR(72))
EE_AVR8_ISR_NOT_DEFINED(_VECTOR(73))
EE_AVR8_ISR_NOT_DEFINED(_VECTOR(74))
#endif

#else	/* __AVR_ATxmega16D4__ || __AVR_ATxmega32D4__ */

#if defined(EE_AVR8_ADCA_CH1_ISR) && (EE_AVR8_ADCA_CH1_ISR_CAT == 2)
EE_AVR8_ISR2_DEFINITION(ADCA_CH1_vect, EE_AVR8_ADCA_CH1_ISR)
#elif defined(EE_AVR8_ADCA_CH1_ISR) && (EE_AVR8_ADCA_CH1_ISR_CAT == 1)
EE_AVR8_ISR1_DEFINITION(ADCA_CH1_vect, EE_AVR8_ADCA_CH1_ISR)
#elif defined(__MCU_EXTENDED_STATUS__)
EE_AVR8_ISR_NOT_DEFINED(ADCA_CH1_vect)
#endif /* EE_AVR8_ADCA_CH1_ISR */
#if defined(EE_AVR8_ADCA_CH2_ISR) && (EE_AVR8_ADCA_CH2_ISR_CAT == 2)
EE_AVR8_ISR2_DEFINITION(ADCA_CH2_vect, EE_AVR8_ADCA_CH2_ISR)
#elif defined(EE_AVR8_ADCA_CH2_ISR) && (EE_AVR8_ADCA_CH2_ISR_CAT == 1)
EE_AVR8_ISR1_DEFINITION(ADCA_CH2_vect, EE_AVR8_ADCA_CH2_ISR)
#elif defined(__MCU_EXTENDED_STATUS__)
EE_AVR8_ISR_NOT_DEFINED(ADCA_CH2_vect)
#endif /* EE_AVR8_ADCA_CH3_ISR */
#if defined(EE_AVR8_ADCA_CH3_ISR) && (EE_AVR8_ADCA_CH3_ISR_CAT == 2)
EE_AVR8_ISR2_DEFINITION(ADCA_CH3_vect, EE_AVR8_ADCA_CH3_ISR)
#elif defined(EE_AVR8_ADCA_CH3_ISR) && (EE_AVR8_ADCA_CH3_ISR_CAT == 1)
EE_AVR8_ISR1_DEFINITION(ADCA_CH3_vect, EE_AVR8_ADCA_CH3_ISR)
#elif defined(__MCU_EXTENDED_STATUS__)
EE_AVR8_ISR_NOT_DEFINED(ADCA_CH3_vect)
#endif /* EE_AVR8_ADCA_CH3_ISR */

#endif	/* __AVR_ATxmega16D4__ || __AVR_ATxmega32D4__ */

#if	( defined(__AVR_ATxmega16D4__) || defined(__AVR_ATxmega32D4__) )

#ifdef	__MCU_EXTENDED_STATUS__
EE_AVR8_ISR_NOT_DEFINED(_VECTOR(75))
EE_AVR8_ISR_NOT_DEFINED(_VECTOR(76))
#endif

#endif	/* __AVR_ATxmega16D4__ || __AVR_ATxmega32D4__ */

/* TCD0 interrupt vectors */
#if defined(EE_AVR8_TCD0_OVF_ISR) && (EE_AVR8_TCD0_OVF_ISR_CAT == 2)
EE_AVR8_ISR2_DEFINITION(TCD0_OVF_vect, EE_AVR8_TCD0_OVF_ISR)
#elif defined(EE_AVR8_TCD0_OVF_ISR) && (EE_AVR8_TCD0_OVF_ISR_CAT == 1)
EE_AVR8_ISR1_DEFINITION(TCD0_OVF_vect, EE_AVR8_TCD0_OVF_ISR)
#elif defined(__MCU_EXTENDED_STATUS__)
EE_AVR8_ISR_NOT_DEFINED(TCD0_OVF_vect)
#endif /* EE_AVR8_TCD0_OVF_ISR */
#if defined(EE_AVR8_TCD0_ERR_ISR) && (EE_AVR8_TCD0_ERR_ISR_CAT == 2)
EE_AVR8_ISR2_DEFINITION(TCD0_ERR_vect, EE_AVR8_TCD0_ERR_ISR)
#elif defined(EE_AVR8_TCD0_ERR_ISR) && (EE_AVR8_TCD0_ERR_ISR_CAT == 1)
EE_AVR8_ISR1_DEFINITION(TCD0_ERR_vect, EE_AVR8_TCD0_ERR_ISR)
#elif defined(__MCU_EXTENDED_STATUS__)
EE_AVR8_ISR_NOT_DEFINED(TCD0_ERR_vect)
#endif /* EE_AVR8_TCD0_ERR_ISR */
#if defined(EE_AVR8_TCD0_CCA_ISR) && (EE_AVR8_TCD0_CCA_ISR_CAT == 2)
EE_AVR8_ISR2_DEFINITION(TCD0_CCA_vect, EE_AVR8_TCD0_CCA_ISR)
#elif defined(EE_AVR8_TCD0_CCA_ISR) && (EE_AVR8_TCD0_CCA_ISR_CAT == 1)
EE_AVR8_ISR1_DEFINITION(TCD0_CCA_vect, EE_AVR8_TCD0_CCA_ISR)
#elif defined(__MCU_EXTENDED_STATUS__)
EE_AVR8_ISR_NOT_DEFINED(TCD0_CCA_vect)
#endif /* EE_AVR8_TCD0_CCA_ISR */
#if defined(EE_AVR8_TCD0_CCB_ISR) && (EE_AVR8_TCD0_CCB_ISR_CAT == 2)
EE_AVR8_ISR2_DEFINITION(TCD0_CCB_vect, EE_AVR8_TCD0_CCB_ISR)
#elif defined(EE_AVR8_TCD0_CCB_ISR) && (EE_AVR8_TCD0_CCB_ISR_CAT == 1)
EE_AVR8_ISR1_DEFINITION(TCD0_CCB_vect, EE_AVR8_TCD0_CCB_ISR)
#elif defined(__MCU_EXTENDED_STATUS__)
EE_AVR8_ISR_NOT_DEFINED(TCD0_CCB_vect)
#endif /* EE_AVR8_TCD0_CCB_ISR */
#if defined(EE_AVR8_TCD0_CCC_ISR) && (EE_AVR8_TCD0_CCC_ISR_CAT == 2)
EE_AVR8_ISR2_DEFINITION(TCD0_CCC_vect, EE_AVR8_TCD0_CCC_ISR)
#elif defined(EE_AVR8_TCD0_CCC_ISR) && (EE_AVR8_TCD0_CCC_ISR_CAT == 1)
EE_AVR8_ISR1_DEFINITION(TCD0_CCC_vect, EE_AVR8_TCD0_CCC_ISR)
#elif defined(__MCU_EXTENDED_STATUS__)
EE_AVR8_ISR_NOT_DEFINED(TCD0_CCC_vect)
#endif /* EE_AVR8_TCD0_CCC_ISR */
#if defined(EE_AVR8_TCD0_CCD_ISR) && (EE_AVR8_TCD0_CCD_ISR_CAT == 2)
EE_AVR8_ISR2_DEFINITION(TCD0_CCD_vect, EE_AVR8_TCD0_CCD_ISR)
#elif defined(EE_AVR8_TCD0_CCD_ISR) && (EE_AVR8_TCD0_CCD_ISR_CAT == 1)
EE_AVR8_ISR1_DEFINITION(TCD0_CCD_vect, EE_AVR8_TCD0_CCD_ISR)
#elif defined(__MCU_EXTENDED_STATUS__)
EE_AVR8_ISR_NOT_DEFINED(TCD0_CCD_vect)
#endif /* EE_AVR8_TCD0_CCD_ISR */

#if	( defined(__AVR_ATxmega16D4__) || defined(__AVR_ATxmega32D4__) )

#ifdef	__MCU_EXTENDED_STATUS__
EE_AVR8_ISR_NOT_DEFINED(_VECTOR(83))
EE_AVR8_ISR_NOT_DEFINED(_VECTOR(84))
EE_AVR8_ISR_NOT_DEFINED(_VECTOR(85))
EE_AVR8_ISR_NOT_DEFINED(_VECTOR(86))
#endif

#else	/* __AVR_ATxmega16D4__ || __AVR_ATxmega32D4__ */

/* TCD1 interrupt vectors */
#if defined(EE_AVR8_TCD1_OVF_ISR) && (EE_AVR8_TCD1_OVF_ISR_CAT == 2)
EE_AVR8_ISR2_DEFINITION(TCD1_OVF_vect, EE_AVR8_TCD1_OVF_ISR)
#elif defined(EE_AVR8_TCD1_OVF_ISR) && (EE_AVR8_TCD1_OVF_ISR_CAT == 1)
EE_AVR8_ISR1_DEFINITION(TCD1_OVF_vect, EE_AVR8_TCD1_OVF_ISR)
#elif defined(__MCU_EXTENDED_STATUS__)
EE_AVR8_ISR_NOT_DEFINED(TCD1_OVF_vect)
#endif /* EE_AVR8_TCD1_OVF_ISR */
#if defined(EE_AVR8_TCD1_ERR_ISR) && (EE_AVR8_TCD1_ERR_ISR_CAT == 2)
EE_AVR8_ISR2_DEFINITION(TCD1_ERR_vect, EE_AVR8_TCD1_ERR_ISR)
#elif defined(EE_AVR8_TCD1_ERR_ISR) && (EE_AVR8_TCD1_ERR_ISR_CAT == 1)
EE_AVR8_ISR1_DEFINITION(TCD1_ERR_vect, EE_AVR8_TCD1_ERR_ISR)
#elif defined(__MCU_EXTENDED_STATUS__)
EE_AVR8_ISR_NOT_DEFINED(TCD1_ERR_vect)
#endif /* EE_AVR8_TCD1_ERR_ISR */
#if defined(EE_AVR8_TCD1_CCA_ISR) && (EE_AVR8_TCD1_CCA_ISR_CAT == 2)
EE_AVR8_ISR2_DEFINITION(TCD1_CCA_vect, EE_AVR8_TCD1_CCA_ISR)
#elif defined(EE_AVR8_TCD1_CCA_ISR) && (EE_AVR8_TCD1_CCA_ISR_CAT == 1)
EE_AVR8_ISR1_DEFINITION(TCD1_CCA_vect, EE_AVR8_TCD1_CCA_ISR)
#elif defined(__MCU_EXTENDED_STATUS__)
EE_AVR8_ISR_NOT_DEFINED(TCD1_CCA_vect)
#endif /* EE_AVR8_TCD1_CCA_ISR */
#if defined(EE_AVR8_TCD1_CCB_ISR) && (EE_AVR8_TCD1_CCB_ISR_CAT == 2)
EE_AVR8_ISR2_DEFINITION(TCD1_CCB_vect, EE_AVR8_TCD1_CCB_ISR)
#elif defined(EE_AVR8_TCD1_CCB_ISR) && (EE_AVR8_TCD1_CCB_ISR_CAT == 1)
EE_AVR8_ISR1_DEFINITION(TCD1_CCB_vect, EE_AVR8_TCD1_CCB_ISR)
#elif defined(__MCU_EXTENDED_STATUS__)
EE_AVR8_ISR_NOT_DEFINED(TCD1_CCB_vect)
#endif /* EE_AVR8_TCD1_CCB_ISR */

#endif	/* __AVR_ATxmega16D4__ || __AVR_ATxmega32D4__ */

/* TCD2 interrupt vectors */
#if defined(EE_AVR8_TCD2_LUNF_ISR) && (EE_AVR8_TCD2_LUNF_ISR_CAT == 2)
EE_AVR8_ISR2_DEFINITION(TCD2_LUNF_vect, EE_AVR8_TCD2_LUNF_ISR)
#elif defined(EE_AVR8_TCD2_LUNF_ISR) && (EE_AVR8_TCD2_LUNF_ISR_CAT == 1)
EE_AVR8_ISR1_DEFINITION(TCD2_LUNF_vect, EE_AVR8_TCD2_LUNF_ISR)
#elif defined(__MCU_EXTENDED_STATUS__)
EE_AVR8_ISR_NOT_DEFINED(TCD2_LUNF_vect)
#endif /* EE_AVR8_TCD2_LUNF_ISR */
#if defined(EE_AVR8_TCD2_HUNF_ISR) && (EE_AVR8_TCD2_HUNF_ISR_CAT == 2)
EE_AVR8_ISR2_DEFINITION(TCD2_HUNF_vect, EE_AVR8_TCD2_HUNF_ISR)
#elif defined(EE_AVR8_TCD2_HUNF_ISR) && (EE_AVR8_TCD2_HUNF_ISR_CAT == 1)
EE_AVR8_ISR1_DEFINITION(TCD2_HUNF_vect, EE_AVR8_TCD2_HUNF_ISR)
#elif defined(__MCU_EXTENDED_STATUS__)
EE_AVR8_ISR_NOT_DEFINED(TCD2_HUNF_vect)
#endif /* EE_AVR8_TCD2_HUNF_ISR */
#if defined(EE_AVR8_TCD2_LCMPA_ISR) && (EE_AVR8_TCD2_LCMPA_ISR_CAT == 2)
EE_AVR8_ISR2_DEFINITION(TCD2_LCMPA_vect, EE_AVR8_TCD2_LCMPA_ISR)
#elif defined(EE_AVR8_TCD2_LCMPA_ISR) && (EE_AVR8_TCD2_LCMPA_ISR_CAT == 1)
EE_AVR8_ISR1_DEFINITION(TCD2_LCMPA_vect, EE_AVR8_TCD2_LCMPA_ISR)
#elif defined(__MCU_EXTENDED_STATUS__)
EE_AVR8_ISR_NOT_DEFINED(TCD2_LCMPA_vect)
#endif /* EE_AVR8_TCD2_LCMPA_ISR */
#if defined(EE_AVR8_TCD2_LCMPB_ISR) && (EE_AVR8_TCD2_LCMPB_ISR_CAT == 2)
EE_AVR8_ISR2_DEFINITION(TCD2_LCMPB_vect, EE_AVR8_TCD2_LCMPB_ISR)
#elif defined(EE_AVR8_TCD2_LCMPB_ISR) && (EE_AVR8_TCD2_LCMPB_ISR_CAT == 1)
EE_AVR8_ISR1_DEFINITION(TCD2_LCMPB_vect, EE_AVR8_TCD2_LCMPB_ISR)
#elif defined(__MCU_EXTENDED_STATUS__)
EE_AVR8_ISR_NOT_DEFINED(TCD2_LCMPB_vect)
#endif /* EE_AVR8_TCD2_LCMPB_ISR */
#if defined(EE_AVR8_TCD2_LCMPC_ISR) && (EE_AVR8_TCD2_LCMPC_ISR_CAT == 2)
EE_AVR8_ISR2_DEFINITION(TCD2_LCMPC_vect, EE_AVR8_TCD2_LCMPC_ISR)
#elif defined(EE_AVR8_TCD2_LCMPC_ISR) && (EE_AVR8_TCD2_LCMPC_ISR_CAT == 1)
EE_AVR8_ISR1_DEFINITION(TCD2_LCMPC_vect, EE_AVR8_TCD2_LCMPC_ISR)
#elif defined(__MCU_EXTENDED_STATUS__)
EE_AVR8_ISR_NOT_DEFINED(TCD2_LCMPC_vect)
#endif /* EE_AVR8_TCD2_LCMPC_ISR */
#if defined(EE_AVR8_TCD2_LCMPD_ISR) && (EE_AVR8_TCD2_LCMPD_ISR_CAT == 2)
EE_AVR8_ISR2_DEFINITION(TCD2_LCMPD_vect, EE_AVR8_TCD2_LCMPD_ISR)
#elif defined(EE_AVR8_TCD2_LCMPD_ISR) && (EE_AVR8_TCD2_LCMPD_ISR_CAT == 1)
EE_AVR8_ISR1_DEFINITION(TCD2_LCMPD_vect, EE_AVR8_TCD2_LCMPD_ISR)
#elif defined(__MCU_EXTENDED_STATUS__)
EE_AVR8_ISR_NOT_DEFINED(TCD2_LCMPD_vect)
#endif /* EE_AVR8_TCD2_LCMPD_ISR */

/* SPID interrupt vectors */
#if defined(EE_AVR8_SPID_INT_ISR) && (EE_AVR8_SPID_INT_ISR_CAT == 2)
EE_AVR8_ISR2_DEFINITION(SPID_INT_vect, EE_AVR8_SPID_INT_ISR)
#elif defined(EE_AVR8_SPID_INT_ISR) && (EE_AVR8_SPID_INT_ISR_CAT == 1)
EE_AVR8_ISR1_DEFINITION(SPID_INT_vect, EE_AVR8_SPID_INT_ISR)
#elif defined(__MCU_EXTENDED_STATUS__)
EE_AVR8_ISR_NOT_DEFINED(SPID_INT_vect)
#endif /* EE_AVR8_SPID_INT_ISR */

/* USARTD0 interrupt vectors */
#if defined(EE_AVR8_USARTD0_RXC_ISR) && (EE_AVR8_USARTD0_RXC_ISR_CAT == 2)
EE_AVR8_ISR2_DEFINITION(USARTD0_RXC_vect, EE_AVR8_USARTD0_RXC_ISR)
#elif defined(EE_AVR8_USARTD0_RXC_ISR) && (EE_AVR8_USARTD0_RXC_ISR_CAT == 1)
EE_AVR8_ISR1_DEFINITION(USARTD0_RXC_vect, EE_AVR8_USARTD0_RXC_ISR)
#elif defined(__MCU_EXTENDED_STATUS__)
EE_AVR8_ISR_NOT_DEFINED(USARTD0_RXC_vect)
#endif /* EE_AVR8_USARTD0_RXC_ISR */
#if defined(EE_AVR8_USARTD0_DRE_ISR) && (EE_AVR8_USARTD0_DRE_ISR_CAT == 2)
EE_AVR8_ISR2_DEFINITION(USARTD0_DRE_vect, EE_AVR8_USARTD0_DRE_ISR)
#elif defined(EE_AVR8_USARTD0_DRE_ISR) && (EE_AVR8_USARTD0_DRE_ISR_CAT == 1)
EE_AVR8_ISR1_DEFINITION(USARTD0_DRE_vect, EE_AVR8_USARTD0_DRE_ISR)
#elif defined(__MCU_EXTENDED_STATUS__)
EE_AVR8_ISR_NOT_DEFINED(USARTD0_DRE_vect)
#endif /* EE_AVR8_USARTD0_DRE_ISR */
#if defined(EE_AVR8_USARTD0_TXC_ISR) && (EE_AVR8_USARTD0_TXC_ISR_CAT == 2)
EE_AVR8_ISR2_DEFINITION(USARTD0_TXC_vect, EE_AVR8_USARTD0_TXC_ISR)
#elif defined(EE_AVR8_USARTD0_TXC_ISR) && (EE_AVR8_USARTD0_TXC_ISR_CAT == 1)
EE_AVR8_ISR1_DEFINITION(USARTD0_TXC_vect, EE_AVR8_USARTD0_TXC_ISR)
#elif defined(__MCU_EXTENDED_STATUS__)
EE_AVR8_ISR_NOT_DEFINED(USARTD0_TXC_vect)
#endif /* EE_AVR8_USARTD0_TXC_ISR */

/* USARTD1 interrupt vectors */
#if defined(EE_AVR8_USARTD1_RXC_ISR) && (EE_AVR8_USARTD1_RXC_ISR_CAT == 2)
EE_AVR8_ISR2_DEFINITION(USARTD1_RXC_vect, EE_AVR8_USARTD1_RXC_ISR)
#elif defined(EE_AVR8_USARTD1_RXC_ISR) && (EE_AVR8_USARTD1_RXC_ISR_CAT == 1)
EE_AVR8_ISR1_DEFINITION(USARTD1_RXC_vect, EE_AVR8_USARTD1_RXC_ISR)
#elif defined(__MCU_EXTENDED_STATUS__)
EE_AVR8_ISR_NOT_DEFINED(USARTD1_RXC_vect)
#endif /* EE_AVR8_USARTD1_RXC_ISR */
#if defined(EE_AVR8_USARTD1_DRE_ISR) && (EE_AVR8_USARTD1_DRE_ISR_CAT == 2)
EE_AVR8_ISR2_DEFINITION(USARTD1_DRE_vect, EE_AVR8_USARTD1_DRE_ISR)
#elif defined(EE_AVR8_USARTD1_DRE_ISR) && (EE_AVR8_USARTD1_DRE_ISR_CAT == 1)
EE_AVR8_ISR1_DEFINITION(USARTD1_DRE_vect, EE_AVR8_USARTD1_DRE_ISR)
#elif defined(__MCU_EXTENDED_STATUS__)
EE_AVR8_ISR_NOT_DEFINED(USARTD1_DRE_vect)
#endif /* EE_AVR8_USARTD1_DRE_ISR */
#if defined(EE_AVR8_USARTD1_TXC_ISR) && (EE_AVR8_USARTD1_TXC_ISR_CAT == 2)
EE_AVR8_ISR2_DEFINITION(USARTD1_TXC_vect, EE_AVR8_USARTD1_TXC_ISR)
#elif defined(EE_AVR8_USARTD1_TXC_ISR) && (EE_AVR8_USARTD1_TXC_ISR_CAT == 1)
EE_AVR8_ISR1_DEFINITION(USARTD1_TXC_vect, EE_AVR8_USARTD1_TXC_ISR)
#elif defined(__MCU_EXTENDED_STATUS__)
EE_AVR8_ISR_NOT_DEFINED(USARTD1_TXC_vect)
#endif /* EE_AVR8_USARTD1_TXC_ISR */

/* USB interrupt vectors */
#if defined(EE_AVR8_USB_BUSEVENT_ISR) && (EE_AVR8_USB_BUSEVENT_ISR_CAT == 2)
EE_AVR8_ISR2_DEFINITION(USB_BUSEVENT_vect, EE_AVR8_USB_BUSEVENT_ISR)
#elif defined(EE_AVR8_USB_BUSEVENT_ISR) && (EE_AVR8_USB_BUSEVENT_ISR_CAT == 1)
EE_AVR8_ISR1_DEFINITION(USB_BUSEVENT_vect, EE_AVR8_USB_BUSEVENT_ISR)
#elif defined(__MCU_EXTENDED_STATUS__)
EE_AVR8_ISR_NOT_DEFINED(USB_BUSEVENT_vect)
#endif /* EE_AVR8_USB_BUSEVENT_ISR */
#if defined(EE_AVR8_USB_TRNCOMPL_ISR) && (EE_AVR8_USB_TRNCOMPL_ISR_CAT == 2)
EE_AVR8_ISR2_DEFINITION(USB_TRNCOMPL_vect, EE_AVR8_USB_TRNCOMPL_ISR)
#elif defined(EE_AVR8_USB_TRNCOMPL_ISR) && (EE_AVR8_USB_TRNCOMPL_ISR_CAT == 1)
EE_AVR8_ISR1_DEFINITION(USB_TRNCOMPL_vect, EE_AVR8_USB_TRNCOMPL_ISR)
#elif defined(__MCU_EXTENDED_STATUS__)
EE_AVR8_ISR_NOT_DEFINED(USB_TRNCOMPL_vect)
#endif /* EE_AVR8_USB_TRNCOMPL_ISR */
